Skip to main content
GET
/
Payment
/
{paymentRequestId}
/
Status
cURL
curl --request GET \
  --url https://api.trysynch.com/Payment/{paymentRequestId}/Status \
  --header 'Authorization: Bearer <token>'
{
  "id": {
    "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "status": "<string>",
  "amount": {
    "value": 123,
    "currencyCode": {
      "value": "<string>",
      "displayName": "<string>",
      "cultureName": "<string>"
    }
  },
  "creationDate": {
    "value": "2023-11-07T05:31:56Z"
  },
  "dueDate": {
    "value": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Path Parameters

paymentRequestId
string<uuid>
required

Response

OK

id
object
status
string
amount
object
creationDate
object
dueDate
object
Last modified on June 2, 2026